#ifndef __GPOD_FEED_PARSER_H__
#define __GPOD_FEED_PARSER_H__

#include "gpod-feed.h"
#include "gpod-feed-item.h"

#include <gio/gio.h>
#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED_PARSER (gpod_feed_parser_get_type ())

G_DECLARE_FINAL_TYPE (GpodFeedParser, gpod_feed_parser, GPOD, FEED_PARSER, GObject)

GpodFeedParser *
gpod_feed_parser_new ();

GInputStream *
gpod_feed_parser_download_data_from_uri (GpodFeedParser *self,
                                         gchar           *uri);

void
gpod_feed_parser_save_data_from_uri (GpodFeedParser *self,
                                     gchar          *uri,
                                     gchar          *filename);

GpodFeed *
gpod_feed_parser_parse_xml_from_uri (GpodFeedParser *self,
                                     gchar          *uri);

G_END_DECLS

#endif /* __GPOD_FEED_PARSER_H__ */
